Emgmbh\UserBundle\Entity\User:
    constraints:
        - Symfony\Bridge\Doctrine\Validator\Constraints\UniqueEntity: username
    properties:
        email:
            -   NotBlank: ~
            -   Type: string
            -   Email: ~
        username:
            -   NotBlank: ~
            -   Type: string
        workerNumber:
            -   NotBlank: ~
            -   Type: int
        password:
            -   NotBlank: ~
            -   Type: string
        passwordPlain:
            - NotBlank:
                groups: [creation]
            - Type: string
        firstName:
            - NotBlank: ~
            - Type: string
        lastName:
            - NotBlank: ~
            - Type: string
        phone:
            - NotBlank: ~
            - Type: string
        isActive:
            - NotBlank: ~
            - Type: bool
